# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Stick Ranger Template

game: Stick Ranger
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Stick Ranger:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # Pick a Goal to finish the game.
    # Hell Castle is the usual finish of the game, being the last stage to beat.
    # Volcano and Mountaintop are boss rush stages and are therefore regarded has more difficult stages than Hell Castle.
    hell_castle: 50
    volcano: 0
    mountaintop: 0
    hell_castle_and_volcano: 0
    hell_castle_and_mountaintop: 0
    volcano_and_mountaintop: 0
    all: 0

  ranger_class_randomizer:
    # When enabled, start with the Class selected in Class Selector, and unlock other Classes via checks.
    # This also starts you off with the Forget Tree, to switch Classes, and Forget is free.
    'false': 50
    'true': 0

  ranger_class_selected:
    # Selects the Class you start with when Class Randomizer is enabled.
    boxer: 0
    gladiator: 0
    sniper: 0
    magician: 0
    priest: 0
    gunner: 0
    whipper: 0
    angel: 0
    random: 50

  classes_req_for_castle:
    # Minimum number of additional Ranger Classes you must unlock before entering the Castle stage.
    # Applies only when Class Randomizer is enabled (your starting class is not counted here).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 7
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-7: 0 # random value between 0 and 7

  classes_req_for_submarine_shrine:
    # Minimum number of additional Ranger Classes you must unlock before entering the Submarine Shrine stage.
    # Applies only when Class Randomizer is enabled (your starting class is not counted here).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 7
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-7: 0 # random value between 0 and 7

  classes_req_for_pyramid:
    # Minimum number of additional Ranger Classes you must unlock before entering the Pyramid stage.
    # Applies only when Class Randomizer is enabled (your starting class is not counted here).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 7
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-7: 0 # random value between 0 and 7

  classes_req_for_ice_castle:
    # Minimum number of additional Ranger Classes you must unlock before entering the Ice Castle stage.
    # Applies only when Class Randomizer is enabled (your starting class is not counted here).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 7
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-7: 0 # random value between 0 and 7

  classes_req_for_hell_castle:
    # Minimum number of additional Ranger Classes you must unlock before entering the Hell Castle stage.
    # Applies only when Class Randomizer is enabled (your starting class is not counted here).
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 7
    6: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-7: 0 # random value between 0 and 7

  min_stages_req_for_castle:
    # Minimum number of pre-Castle stages you must unlock before entering the Castle stage.
    # Pre-Castle stages are: Grassland 1-7, Lake, Hill Country 1-3, Forest 1&2, Cavern 1-3 and Castle Gate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 17
    6: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-17: 0 # random value between 0 and 17

  max_stages_req_for_castle:
    # Maximum number of pre-Castle stages you must unlock before entering the Castle stage.
    # Pre-Castle stages are: Grassland 1-7, Lake, Hill Country 1-3, Forest 1&2, Cavern 1-3 and Castle Gate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 17
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-17: 0 # random value between 0 and 17

  min_stages_req_for_submarine_shrine:
    # Minimum number of pre-Submarine Shrine stages you must unlock before entering the Submarine Shrine stage.
    # Pre-Submarine Shrine stages are: Seaside 1-4, Submarine 1-4, Mist Grove 1-3 and ???.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 12
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-12: 0 # random value between 0 and 12

  max_stages_req_for_submarine_shrine:
    # Maximum number of pre-Submarine Shrine stages you must unlock before entering the Submarine Shrine stage.
    # Pre-Submarine Shrine stages are: Seaside 1-4, Submarine 1-4, Mist Grove 1-3 and ???.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 12
    7: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-12: 0 # random value between 0 and 12

  min_stages_req_for_pyramid:
    # Minimum number of pre-Pyramid stages you must unlock before entering the Pyramid stage.
    # Pre-Pyramid stages are: Desert 1-8, Oasis and Beach 1-3.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 12
    4: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-12: 0 # random value between 0 and 12

  max_stages_req_for_pyramid:
    # Maximum number of pre-Pyramid stages you must unlock before entering the Pyramid stage.
    # Pre-Pyramid stages are: Desert 1-8, Oasis and Beach 1-3.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 12
    7: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-12: 0 # random value between 0 and 12

  min_stages_req_for_ice_castle:
    # Minimum number of pre-Ice Castle stages you must unlock before entering the Ice Castle stage.
    # Pre-Ice Castle stages are: Cavern 4-6, Snowfield 1-8, Mountain 1&2 and Frozen Lake.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 14
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-14: 0 # random value between 0 and 14

  max_stages_req_for_ice_castle:
    # Maximum number of pre-Ice Castle stages you must unlock before entering the Ice Castle stage.
    # Pre-Ice Castle stages are: Cavern 4-6, Snowfield 1-8, Mountain 1&2 and Frozen Lake.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 14
    8: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-14: 0 # random value between 0 and 14

  min_stages_req_for_hell_castle:
    # Minimum number of pre-Hell Castle stages you must unlock before entering the Hell Castle stage.
    # Pre-Hell Castle stages are: Snowfield 9, Beach 4, Forest 3-6, !!!, Hell 1-8, Inferno 1-3, Blood Lake, Cavern 7&8 and Hell Gate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 22
    7: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-22: 0 # random value between 0 and 22

  max_stages_req_for_hell_castle:
    # Maximum number of pre-Hell Castle stages you must unlock before entering the Hell Castle stage.
    # Pre-Hell Castle stages are: Snowfield 9, Beach 4, Forest 3-6, !!!, Hell 1-8, Inferno 1-3, Blood Lake, Cavern 7&8 and Hell Gate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 22
    12: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-22: 0 # random value between 0 and 22

  shuffle_books:
    # Controls whether buying Books are checks.
    # Either Shuffle Books or Shuffle Enemies needs to be turned on.
    'false': 0
    'true': 50

  shuffle_enemies:
    # Controls whether enemies drop a check.
    # Either Shuffle Enemies or Shuffle Books needs to be turned on.
    # 
    # common enemies: Every non-boss enemy has a 5% chance to drop.
    # boss enemies:   Every boss enemy has a 25% chance to drop.
    # both:           Both settings are on.
    common_enemies: 0
    boss_enemies: 0
    both: 0
    'off': 50

  gold_multiplier:
    # Multiplies the gold dropped by enemies.
    1x: 50
    2x: 0
    5x: 0
    10x: 0

  xp_multiplier:
    # Multiplies the XP gained per enemy killed.
    1x: 50
    2x: 0
    5x: 0
    10x: 0

  drop_multiplier:
    # Multiplies the chance of enemies dropping an item.
    1x: 50
    2x: 0
    5x: 0
    10x: 0

  shop_hints:
    # When enabled, the Book shop will show you what you are buying and it will send out hints for buyable Books.
    'false': 0
    'true': 50

  randomize_book_costs:
    # Randomizes the costs of Books.
    # 
    # vanilla:                  Costs are vanilla (1000*stage number).
    # random_balanced:          Costs are randomized, but still balanced.
    # random_extreme:           Costs can range between 1-99999.
    # random_extreme_expensive: Costs can range between 1-999999. (Not recommended)
    vanilla: 50
    random_balanced: 0
    random_extreme: 0
    random_extreme_expensive: 0

  traps:
    # Configure if and how many Trap items there are, replacing filler items.
    none: 50
    some: 0
    half: 0
    most: 0
    all: 0

  remove_null_compo:
    # When enabled, buying weapons from the shop removes the 'cross' compo from the second compo slot
    'false': 0
    'true': 50

  death_link:
    # When you die, everyone who enabled death link dies. Of course, the reverse is true too.
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
